- Extending Qt Creator Manual
- QtCreator
- ClassNameValidatingLineEdit
- Extending Qt Creator Manual 13.0.0

# ClassNameValidatingLineEdit Class

class Utils::ClassNameValidatingLineEdit

The ClassNameValidatingLineEdit class implements a line edit that validates a C++ class name and emits a signal to derive suggested file names from it. More...

Header: | #include <ClassNameValidatingLineEdit>
Inherits: | Utils::FancyLineEdit

- List of all members, including inherited members

## Public Functions

bool | lowerCaseFileName() const
bool | namespacesEnabled() const
void | setLowerCaseFileName(bool v)
void | setNamespacesEnabled(bool b)

## Detailed Description